Subject: Re: FVWM: 2.3.17/18

From: Mikhael Goikhman <[email-masked]>
Date: Tue, 6 Jun 2000 03:19:10 +0300

On 05 Jun 2000 15:17:19 -0700, Elliot Sowadsky wrote:
> 
> < > I have massive problems w/ 2.3.17/18 that i didnt have w/ 16.
> < >
> < >
> < > AddToFunc "Clk-Hld-Mv"
> < > +     "C" $0
> < > +     "H" $1
> < > +     "M" $2
> < >
> < > Mouse 1         R     N       Clk-Hld-Mv Nop Winlistfunc Nop
> < >
> < >
> < > fvwm sez function Winlistfunc not a valid command or something like that.
> < 
> < Sigh, the function handling code is so complicated that you
> < can't do anything without breaking three other things.  I'll
> < commit a fix in a few minutes.
> < 
> < > Must click twice into a window for it to get focus.
> < > I use clicktofocus mode
> < >
> < > My delete key (Sun) no longer works in Mailtool main window (cant delete msg)
> < 
> < Both may be caused by the bug in complex functions.  Please
> < try again when my fix shows up in the snapshots.
> 
> still all broken in 2.3.19
> 
> function invalid

Ok, I can confirm this bug.

Dominik, when I replace Winlistfunc in the binding with Beep it works.
Also when I replace DONT_EXPAND_COMMAND in the very end of functions.c
with EXPAND_COMMAND, it works for Winlistfunc as well. But why Beep works.

> 1st click in window ignored

Elliot, do you use ClickToFocusPassesClick[Off]? Passing is a default.
Both work as expected for me.

> clicktofocus window loses focus when mouse over root

It works well for my ClickToFocus windows.
You probably should supply more info (your full or partial rc file).

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]